summaryrefslogtreecommitdiff
path: root/tests/cert-tests/pathlen
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/pathlen')
-rwxr-xr-xtests/cert-tests/pathlen44
1 files changed, 44 insertions, 0 deletions
diff --git a/tests/cert-tests/pathlen b/tests/cert-tests/pathlen
new file mode 100755
index 0000000000..c7d994cc57
--- /dev/null
+++ b/tests/cert-tests/pathlen
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Copyright (C) 2006-2008, 2010, 2012 Free Software Foundation, Inc.
+#
+# Author: Simon Josefsson
+#
+# This file is part of GnuTLS.
+#
+# GnuTLS is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+#
+# GnuTLS is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GnuTLS; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+set -e
+
+srcdir=${srcdir:-.}
+CERTTOOL=${CERTTOOL:-../../src/certtool$EXEEXT}
+
+$CERTTOOL --certificate-info --infile $srcdir/ca-no-pathlen.pem \
+ --outfile new-ca-no-pathlen.pem
+$CERTTOOL --certificate-info --infile $srcdir/no-ca-or-pathlen.pem \
+ --outfile new-no-ca-or-pathlen.pem
+
+diff $srcdir/ca-no-pathlen.pem new-ca-no-pathlen.pem
+rc1=$?
+diff $srcdir/no-ca-or-pathlen.pem new-no-ca-or-pathlen.pem
+rc2=$?
+
+rm -f new-ca-no-pathlen.pem new-no-ca-or-pathlen.pem
+
+# We're done.
+if test "$rc1" != "0"; then
+ exit $rc1
+fi
+exit $rc2